<?
set_time_limit(0);
require("../../conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$query="select d.serie,d.folio,d.adicionalA from doce d inner join recibecfd_doce_status rds on d.adicionalA = rds.uuid where d.adicionalA <> '' and rds.status='0' and d.tipodocto='NOTIFICACION DE PAGO' and d.adicionalA='FBDB75DB-0070-4CC7-B33B-191FB482C5C8'";

$body="";

if($rQuery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_num_rows($rQuery) > 0){
		$errores_no=0;
		$errores="";
		$arrUUID = array();
		$con=0;
		$body.='<table border="1">';
		while($tmp = mysqli_fetch_assoc($rQuery)){
				$qPDR = "select uuidCFDIRelacionado,monto from pago_documentos_ref where doce_uuid='".$tmp["adicionalA"]."'";
				$body.='
									<tr>
										<th colspan="5">(NP) -> '.$tmp["serie"].$tmp["folio"]." -> ".$tmp["adicionalA"].'</th>
									</tr>';
				if($rPDR = mysqli_query($conexion->CONEXION,$qPDR)){
					if(mysqli_num_rows($rPDR) > 0){
						while($tPDR = mysqli_fetch_assoc($rPDR)){
							$qRPDR = "select uuidCFDIRelacionado, imppagado, doce_uuid from recibedoce_pagos_docto_relacionado where uuidCFDIRelacionado='".$tPDR["uuidCFDIRelacionado"]."'";
							if($rRPDR = mysqli_query($conexion->CONEXION,$qRPDR)){
								if(mysqli_num_rows($rRPDR) > 0){
									$tRPDR = mysqli_fetch_assoc($rRPDR);
									$folioNPRel = "";	
									if(trim($tRPDR['doce_uuid']) <> ""){
										$qDoce = "select serie, folio from doce where adicionalA='".$tRPDR['doce_uuid']."'";
										if($rDoce = mysqli_query($conexion->CONEXION,$qDoce)){
											if(mysqli_num_rows($rDoce) > 0){
												$tDoce = mysqli_fetch_assoc($rDoce);
												$folioNPRel = $tDoce["serie"].$tDoce["folio"];
											}else{
												$folioNPRel = "No existe";
											}
										}else{
											$errores_no++;
											writeLog("reporteSinComplemento",$qDoce." -> Error: ".mysqli_error($conexion->CONEXION),1,0);
										}
									}
									
									$body.='
										<tr>
											<td>'.$tPDR['uuidCFDIRelacionado'].'</td>
											<td>'.$tPDR['monto'].'</td>
											<td>'.$tRPDR['uuidCFDIRelacionado'].'</td>
											<td>'.$tRPDR['imppagado'].'</td>
											<td>'.$folioNPRel." -> ".$tRPDR['doce_uuid'].'</td>
										</tr>';
								}else{
									$body.='
										<tr>
											<td>'.$tPDR['uuidCFDIRelacionado'].'</td>
											<td>'.$tPDR['monto'].'</td>
											<td>-</td>
											<td>-</td>
											<td>-</td>
										</tr>';
								}
							}else{
								$errores_no++;
								writeLog("reporteSinComplemento",$qRPDR." -> Error: ".mysqli_error($conexion->CONEXION),1,0);
							}
						}
						
						
					}else{
						writeLog("reporteSinComplemento",$qPDR." -> Error: Sin detalle",1,0);
					}
				}else{
					$errores_no++;
					writeLog("reporteSinComplemento",$qPDR." -> Error: ".mysqli_error($conexion->CONEXION),1,0);
				}
		}
		$body.='<table/>';	
		echo "No. Errores: ".$errores_no."<br/>";
		file_put_contents("reporteSinComplemento.html",$body);
		echo $body;
		// echo "Mensajes de Error: ".$errores;
		// var_dump($arrUUID);
	}
}
function writeLog($nombreArchivo, $mensaje, $log, $debug){
	$logArchivo = $nombreArchivo."_".date("Ymd").".log";
	$debugArchivo = $nombreArchivo."_".date("Ymd").".debug";
	if($log == 1){
		if(file_exists($logArchivo)){$fp = fopen($logArchivo,"a+");}else{$fp = fopen($logArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
	if($debug == 1){
		if(file_exists($debugArchivo)){$fp = fopen($debugArchivo,"a+");}else{$fp = fopen($debugArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
}
?>